%define mod_name py2pack

Name:           python-%{mod_name}
Version:        0.8.7
Release:        %mkrel 4
Url:            https://github.com/saschpe/py2pack
Summary:        Generate distribution packages from Python packages on PyPI
License:        GPLv2
Group:          Development/Python
Source:         https://pypi.io/packages/source/p/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(lxml)
BuildRequires:  python3dist(cssselect)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(pbr)

%description
This script allows to generate RPM spec or DEB dsc files from Python modules.
It allows to list Python modules or search for them on the Python Package Index
(PyPI). Conveniently, it can fetch tarballs and changelogs making it an
universal tool to package Python modules.

%package -n python3-%{mod_name}
Summary:        Generate distribution packages from Python packages on PyPI
Group:          Development/Python
Conflicts:      python2-py2pack < 0.8.4-3
Provides:       py2pack = %{version}-%{release}

%description -n python3-%{mod_name}
Generate distribution packages from Python packages on PyPI.
This is the Python3 module.

%prep
%setup -q -n %{mod_name}-%{version}

# drop bundled egg-info
rm -rf py2pack.egg-info/

# fix shebangs
find -name '*.py' | xargs sed -i '1s|^#!.*python[2,3]\?|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-%{mod_name}
%doc AUTHORS LICENSE README.rst
%{python3_sitelib}/%{mod_name}*
%{_bindir}/py2pack


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 0.8.7-4.mga10
+ Revision: 2019033
- Mass Rebuild - Python 3.12

* Fri Jun 24 2022 papoteur <papoteur> 0.8.7-3.mga9
+ Revision: 1866009
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 0.8.7-2.mga9
+ Revision: 1832179
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.8.7-1.mga9
+ Revision: 1783279
- version 0.8.7
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.4-6.mga9
+ Revision: 1732522
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.4-5.mga8
+ Revision: 1535242
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.8.4-4.mga8
+ Revision: 1451627
- rebuild with python 3.8

* Tue Aug 20 2019 wally <wally> 0.8.4-3.mga8
+ Revision: 1430549
- provide py2pack
- drop python2 support

* Sat Jan 12 2019 daviddavid <daviddavid> 0.8.4-2.mga7
+ Revision: 1355358
- rename python-py2pack to python2-py2pack

* Sat Jan 12 2019 shlomif <shlomif> 0.8.4-1.mga7
+ Revision: 1355348
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-6.mga7
+ Revision: 1289757
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 tv <tv> 0.5.0-5.mga7
+ Revision: 1168817
- add BR on python2dist(requests) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.5.0-4.mga7
+ Revision: 1135557
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 971015
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.0-2.mga6
+ Revision: 888996
- rebuild for python 3.5

* Sat Sep 19 2015 philippem <philippem> 0.5.0-1.mga6
+ Revision: 881336
- update to 0.5.0, add python3

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-7.mga5
+ Revision: 745992
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.4-6.mga5
+ Revision: 729343
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 688230
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 543980
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.4-2.mga4
+ Revision: 499134
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 0.4.4-1.mga4
+ Revision: 471739
- update to 0.4.4

* Sun Jan 13 2013 umeabot <umeabot> 0.3.21-2.mga3
+ Revision: 379290
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 0.3.21-1.mga2
+ Revision: 158295
- silent fix group
- New upstream 0.3.2.21

* Mon May 09 2011 saispo <saispo> 0.3.15-1.mga1
+ Revision: 96637
- imported package python-py2pack

